Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

jwienke@augit:~/Desktop/bag-tools/0.7$ ./bag-record -o /tmp/brokenvideo.tide socket://localhost:9944/
STYLE-WARNING: Undefined alien: "SSLv2_client_method" 
^C[ WARN (#<BUS-CLIENT (S 0) (C 0) {100A471CD3}> RSB.TP.SOCK) ]  Error closing connection #<BUS-CONNECTION
closing ADDRESS?:PORT?>: Deadlock cycle detected:
    #<SB-THREAD:THREAD "main thread" RUNNING {100A451693}>
  waited for:
    #<SB-THREAD:MUTEX "thread result lock" (free)>
  owned by:
    #<SB-THREAD:THREAD "Message Receiver for #<BUS-CONNECTION open #(127 0 0 1):9944>" FINISHED values: NIL
{100AA92303}>
  waited for:
    (#<SB-THREAD:MUTEX "Bus Connections Lock" owner: #<SB-THREAD:THREAD "main thread" RUNNING
{100A451693}>>)
  owned by:
    #<SB-THREAD:THREAD "main thread" RUNNING {100A451693}>

Associated revisions
Revision a230ee94 - 02/18/2013 06:03 AM - J. Moringen

Execute non-local exit in correct thread in common/interactive.lisp

refs #1206 (may be related to the "Another issue" part)

    -  common/interactive.lisp (with-interactive-interrupt-exit): use
  `abort' instead of catch/throw; used local function instead of
  large-ish macro expansion; perform non-local exit in the thread
  executing the macro body
  (interrupt): removed; no longer used

    -  common/package.lisp (header): updated copyright
  (package rsb.common): removed exported symbol interrupt

History
#1 - 10/12/2012 03:10 PM - J. Wienke

Another issue I had:

jwienke@augit:~/Desktop/bag-tools/0.7$ ./bag-record -o /tmp/brokenvideo.tide --force socket://localhost:9944/
STYLE-WARNING: Undefined alien: "SSLv2_client_method" 
^C; in: LAMBDA (SB-PCL::CACHE SB-PCL::EMF SB-PCL::MISS-FN)
;     (SB-PCL::INVOKE-EFFECTIVE-METHOD-FUNCTION SB-PCL::EMF T :REQUIRED-ARGS
;                                               (SB-PCL::.ARG0. SB-PCL::.ARG1.
;                                                SB-PCL::.ARG2. SB-PCL::.ARG3.)
;                                               :MORE-ARG
;                                               (SB-PCL::.MORE-CONTEXT.
;                                                SB-PCL::.MORE-COUNT.)
;                                               :REST-ARG
;                                               ((SB-C:%LISTIFY-REST-ARGS
;                                                 SB-PCL::.MORE-CONTEXT.
;                                                 (THE (AND UNSIGNED-BYTE FIXNUM)
;                                                      SB-PCL::.MORE-COUNT.))))
; 
; caught ERROR:
;   during macroexpansion of
;   (SB-PCL::INVOKE-EFFECTIVE-METHOD-FUNCTION SB-PCL::EMF T ...). Use
;   *BREAK-ON-SIGNALS* to intercept:
;   
;    attempt to THROW to a tag that does not exist: ITERATE:TERMINATE

;     (LAMBDA (SB-PCL::CACHE SB-PCL::EMF SB-PCL::MISS-FN)
;       (DECLARE (TYPE FUNCTION SB-PCL::MISS-FN))
;       #'(LAMBDA
;             (SB-PCL::.ARG0. SB-PCL::.ARG1. SB-PCL::.ARG2. SB-PCL::.ARG3.
;              SB-INT:&MORE SB-PCL::.MORE-CONTEXT. SB-PCL::.MORE-COUNT.)
;           (LET ()
;             (DECLARE (OPTIMIZE # #))
;             (LET ()
;               (PROG # # #:MISSED43844 #)))))
; 
; caught STYLE-WARNING:
;   The variable SB-PCL::EMF is defined but never used.
; 
; compilation unit finished
;   caught 1 ERROR condition
;   caught 1 STYLE-WARNING condition

#2 - 10/12/2012 03:10 PM - J. Wienke

Bus server is a 0.7 cpp program.

#3 - 10/12/2012 04:02 PM - J. Moringen

The first problem is harmless. I can suppress the warning though.

The second problem is unrelated and should be fixed in master, I think. In this second case, was the execution interrupted very quickly after the
program had been started? (maybe this should be discussed in a separate issue?)

#4 - 10/12/2012 04:04 PM - J. Wienke

04/27/2024 2/3



In the first case, the recorded tide file is empty as I probably tried to stop all the time before the flushing strategy could trigger. So I don't think it is
harmless.

#5 - 10/12/2012 04:14 PM - J. Moringen

The warning should not prevent further clean up such as flushing buffers and closing the file.

I have to try to reproduce this later.

#6 - 02/17/2013 08:26 PM - J. Moringen
- Status changed from New to Feedback

@Johannes: I could not reproduce this. Can you try to reproduce this with a recent version and report the results?

#7 - 02/18/2013 10:08 AM - J. Wienke

I think it vanished with more recent versions and actually it was sporadic, so I have no idea how to test it.

#8 - 02/18/2013 04:29 PM - J. Moringen
- Status changed from Feedback to Closed

I'm closing this for. Reopen as necessary.
